/*==============================================================*/
/* Database name:  db_test                                      */
/* DBMS name:      MySQL 5.7                                 */
/* Created on:     2018/9/30 17:18:06                           */
/*==============================================================*/

drop database if exists db_test;
/*==============================================================*/
/* Database: db_test                                            */
/*==============================================================*/
create database db_test;

use db_test;

/*==============================================================*/
/* Table: TEST_ROLE_GROUP                                       */
/*==============================================================*/
create table TEST_ROLE_GROUP
(
   ID                   VARCHAR(255) not null,
   NAME                 VARCHAR(30),
   ROLE_ID              VARCHAR(30),
   CREATE_TIME          DATETIME,
   LAST_UPDATE_TIME     DATETIME,
   primary key(ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8;

alter table TEST_ROLE_GROUP comment '角色组';

/*==============================================================*/
/* Table: TES_DEPARTMENT                                        */
/*==============================================================*/
create table TES_DEPARTMENT
(
   ID                    VARCHAR(255) not null,
   NAME                 VARCHAR(30),
   CREATE_TIME          DATETIME,
   LAST_UPDATE_TIME     DATETIME,
   primary key(ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8;
alter table TES_DEPARTMENT comment '部门表';
/*==============================================================*/
/* Table: TES_MENU                                              */
/*==============================================================*/
create table TES_MENU
(
   ID                    VARCHAR(255) not null,
   NAME                 VARCHAR(30),
   URL                  VARCHAR(30),
   GROUP_ID             VARCHAR(30),
   SORT                 INTEGER(10),
   CREATE_TIME          DATETIME,
   LAST_UPDATE_TIME     DATETIME,
   primary key(ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8;
alter table TES_MENU comment '菜单表';

/*==============================================================*/
/* Table: TES_MENU_GROUP                                        */
/*==============================================================*/
create table TES_MENU_GROUP
(
   ID                    VARCHAR(255) not null,
   NAME                 VARCHAR(30),
   SORT                 VARCHAR(30),
   MODULE_ID            VARCHAR(30),
   CREATE_TIME          DATETIME,
   LAST_UPDATE_TIME     DATETIME,
   primary key(ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8;

alter table TES_MENU_GROUP comment '模块组表';

/*==============================================================*/
/* Table: TES_MENU_MODULE                                       */
/*==============================================================*/
create table TES_MENU_MODULE
(
   ID                   VARCHAR(255) not null,
   NAME                 VARCHAR(30),
   SORT                 INTEGER(10),
   CREATE_TIME          DATETIME,
   LAST_UPDATE_TIME     DATETIME,
   primary key(ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8;

alter table TES_MENU_MODULE comment '菜单模块表';

/*==============================================================*/
/* Table: TES_ROLE                                              */
/*==============================================================*/
create table TES_ROLE
(
   ID                   VARCHAR(255) not null,
   NAME                 VARCHAR(30),
   DESCRIPTION          VARCHAR(30),
   MENU_ID              VARCHAR(20),
   CREATE_DATE          DATETIME,
   LAST_UPDATE_TIME     DATETIME,
   primary key(ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8;

alter table TES_ROLE comment '角色表';

/*==============================================================*/
/* Table: TES_USER                                              */
/*==============================================================*/
create table TES_USER
(
   ID                   VARCHAR(255) not null,
   USERNAME             VARCHAR(32),
   PASSWORD             VARCHAR(30),
   DEPT_ID              VARCHAR(32),
   STATUS               VARCHAR(22),
   ROLES_GROUP          VARCHAR(32),
   CREATE_TIME          DATETIME,
   LAST_UPDATE_TIME     DATETIME,
   primary key(ID)
)ENGINE=InnoDB DEFAULT CHARSET=utf8;

alter table TES_USER comment '用户表';
